## protobuf-c 0.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(protobuf-c)
set(PROTOBUF_C_VERSION_MAJOR 0)
set(PROTOBUF_C_VERSION_MINOR 14)
set(PROTOBUF_C_VERSION_PATCH 1)
set(PROTOBUF_C_VERSION ${PROTOBUF_C_VERSION_MAJOR}.${PROTOBUF_C_VERSION_MINOR})

set(CMAKE_ROOT_OUTPUT_DIRECTORY
    ${CMAKE_BINARY_DIR}/${PROJECT_NAME}-${CMAKE_SYSTEM}
    CACHE PATH "root output directory in which to locate target files")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_ROOT_OUTPUT_DIRECTORY}/bin
    CACHE PATH "output directory in which to build runtime target files")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_ROOT_OUTPUT_DIRECTORY}/lib
    CACHE PATH "output directory in which to build library target files")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_ROOT_OUTPUT_DIRECTORY}/lib
    CACHE PATH "output directory in which to build archive target files")

function(process_libprotobuf_c_pc)
    set(prefix ${PROTOBUF_C_INSTALL_PREFIX})
    set(exec_prefix ${PROTOBUF_C_INSTALL_EXEC_PREFIX})
    set(libdir ${PROTOBUF_C_INSTALL_LIBDIR})
    set(includedir ${PROTOBUF_C_INSTALL_INCLUDEDIR})
    set(VERSION ${PROTOBUF_C_VERSION})
    configure_file(libprotobuf-c.pc.in
        ${CMAKE_ROOT_OUTPUT_DIRECTORY}/pkgconfig/libprotobuf-c.pc @ONLY)
    install(DIRECTORY ${CMAKE_ROOT_OUTPUT_DIRECTORY}/pkgconfig DESTINATION
        ${PROTOBUF_C_INSTALL_LIBDIR})
endfunction()

set(PROTOBUF_C_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}
    CACHE PATH "install location for architecture-independent files")
set(PROTOBUF_C_INSTALL_EXEC_PREFIX ${CMAKE_INSTALL_PREFIX}
    CACHE PATH "install location for architecture-dependent files")
if ( UNIX )
    set(PROTOBUF_C_INSTALL_BINDIR ${PROTOBUF_C_INSTALL_EXEC_PREFIX}/bin
        CACHE PATH "install location for executable files")
    set(PROTOBUF_C_INSTALL_LIBDIR ${PROTOBUF_C_INSTALL_EXEC_PREFIX}/lib
        CACHE PATH "install location for object code libraries")
    set(PROTOBUF_C_INSTALL_INCLUDEDIR ${PROTOBUF_C_INSTALL_PREFIX}/include
        CACHE PATH "install location for public header files")
    process_libprotobuf_c_pc()
else()
    set(PROTOBUF_C_INSTALL_BINDIR bin
        CACHE PATH "install location for executable files")
    set(PROTOBUF_C_INSTALL_LIBDIR lib
        CACHE PATH "install location for object code libraries")
    set(PROTOBUF_C_INSTALL_INCLUDEDIR include
        CACHE PATH "install location for public header files")
endif()

enable_testing()
add_subdirectory(src)

# Use "make package" or something like that to create a protobuf-c package.
set(CPACK_PACKAGE_CONTACT "David Benson <daveb@ffem.org>")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "C bindings for protocol-buffers")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION_MAJOR "${PROTOBUF_C_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${PROTOBUF_C_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${PROTOBUF_C_VERSION_PATCH}")

if ( WIN32 )
    set(CPACK_GENERATOR ZIP)
else()
    # Look at http://public.kitware.com/Bug/view.php?id=7000
    set(CPACK_SET_DESTDIR "ON")

    set(CPACK_GENERATOR DEB)
    set(CPACK_DEBIAN_PACKAGE_SECTION  "libs")
    set(CPACK_DEBIAN_PACKAGE_PRIORITY "low")
    set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://code.google.com/p/protobuf-c")
endif()
include(CPack)

=== src/CMakeLists.txt ===
set(BUILD_PROTOBUF_C_COMPILER ON
    CACHE BOOL "build protobuf-c compiler (aka protoc-c)")

if ( BUILD_PROTOBUF_C_COMPILER )
    find_package(Protobuf REQUIRED)
    include_directories(${PROTOBUF_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR})
    set(PROTOC_C_SOURCES
        google/protobuf/compiler/c/c_service.cc
        google/protobuf/compiler/c/c_helpers.cc
        google/protobuf/compiler/c/c_enum.cc
        google/protobuf/compiler/c/c_enum_field.cc
        google/protobuf/compiler/c/c_string_field.cc
        google/protobuf/compiler/c/c_primitive_field.cc
        google/protobuf/compiler/c/c_extension.cc
        google/protobuf/compiler/c/c_file.cc
        google/protobuf/compiler/c/c_field.cc
        google/protobuf/compiler/c/c_message.cc
        google/protobuf/compiler/c/c_generator.cc
        google/protobuf/compiler/c/c_message_field.cc
        google/protobuf/compiler/c/main.cc
        google/protobuf/compiler/c/c_bytes_field.cc)
    add_executable(protoc-c ${PROTOC_C_SOURCES})
    target_link_libraries(protoc-c ${PROTOBUF_LIBRARY}
        ${PROTOBUF_PROTOC_LIBRARY})
    if ( UNIX )
        find_package(Threads REQUIRED)
        target_link_libraries(protoc-c ${CMAKE_THREAD_LIBS_INIT})
    endif()
    install(TARGETS protoc-c DESTINATION ${PROTOBUF_C_INSTALL_BINDIR})
endif()

include(CheckIncludeFiles)
check_include_files("alloca.h" HAVE_ALLOCA_H)
check_include_files("malloc.h" HAVE_MALLOC_H)
check_include_files("sys/poll.h" HAVE_SYS_POLL_H)
check_include_files("sys/select.h" HAVE_SYS_SELECT_H)
check_include_files("inttypes.h" HAVE_INTTYPES_H)
check_include_files("sys/uio.h" HAVE_SYS_UIO_H)
check_include_files("unistd.h" HAVE_UNISTD_H)
check_include_files("io.h" HAVE_IO_H)
include(TestBigEndian)
test_big_endian(IS_BIG_ENDIAN)
if ( NOT IS_BIG_ENDIAN )
    set(IS_LITTLE_ENDIAN 1)
endif()
add_definitions(-DHAVE_PROTOBUF_C_CONFIG_H=1)
configure_file(google/protobuf-c/protobuf-c-config.h.in
    google/protobuf-c/protobuf-c-config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/google/protobuf-c)

set(BUILD_PROTOBUF_C_STATIC_LIB ON
    CACHE BOOL "build static protobuf-c library")
set(BUILD_PROTOBUF_C_SHARED_LIB ON
    CACHE BOOL "build shared protobuf-c library")

if ( WIN32 )
    set(PROTOBUF_C_SOURCES
        google/protobuf-c/protobuf-c-data-buffer.c
        google/protobuf-c/protobuf-c.c)
else()
    set(PROTOBUF_C_SOURCES
        google/protobuf-c/protobuf-c-dispatch.c
        google/protobuf-c/protobuf-c-data-buffer.c
        google/protobuf-c/protobuf-c-rpc.c
        google/protobuf-c/protobuf-c.c)
endif()

if ( BUILD_PROTOBUF_C_STATIC_LIB )
    add_library(protobuf-c-static STATIC ${PROTOBUF_C_SOURCES})
    install(TARGETS protobuf-c-static
        ARCHIVE DESTINATION ${PROTOBUF_C_INSTALL_LIBDIR})
    set_target_properties(protobuf-c-static PROPERTIES OUTPUT_NAME protobuf-c)

    get_target_property(DIRECTORY protobuf-c-static ARCHIVE_OUTPUT_DIRECTORY) 
    set_target_properties(protobuf-c-static PROPERTIES ARCHIVE_OUTPUT_DIRECTORY
        ${DIRECTORY}/static)
endif()

if ( BUILD_PROTOBUF_C_SHARED_LIB )
    add_library(protobuf-c-shared SHARED ${PROTOBUF_C_SOURCES})
    install(TARGETS protobuf-c-shared
        RUNTIME DESTINATION ${PROTOBUF_C_INSTALL_BINDIR}
        LIBRARY DESTINATION ${PROTOBUF_C_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${PROTOBUF_C_INSTALL_LIBDIR}/dllimport)
    set_target_properties(protobuf-c-shared PROPERTIES OUTPUT_NAME protobuf-c)

    set_target_properties(protobuf-c-shared PROPERTIES VERSION
        ${PROTOBUF_C_VERSION})
    get_target_property(DIRECTORY protobuf-c-shared ARCHIVE_OUTPUT_DIRECTORY) 
    set_target_properties(protobuf-c-shared PROPERTIES ARCHIVE_OUTPUT_DIRECTORY
        ${DIRECTORY}/shared)
    get_target_property(DIRECTORY protobuf-c-shared LIBRARY_OUTPUT_DIRECTORY) 
    set_target_properties(protobuf-c-shared PROPERTIES LIBRARY_OUTPUT_DIRECTORY
        ${DIRECTORY}/shared)
    if ( WIN32 )
        set_target_properties(protobuf-c-shared PROPERTIES COMPILE_DEFINITIONS
            "PROTOBUF_C_USE_SHARED_LIB;PROTOBUF_C_EXPORT")
    endif()
endif()

if ( BUILD_PROTOBUF_C_STATIC_LIB OR BUILD_PROTOBUF_C_SHARED_LIB )
    if ( WIN32 )
        set(PROTOBUF_C_PUBLIC_HEADERS
            google/protobuf-c/protobuf-c.h
            google/protobuf-c/protobuf-c-private.h)
    else()
        set(PROTOBUF_C_PUBLIC_HEADERS
            google/protobuf-c/protobuf-c.h
            google/protobuf-c/protobuf-c-private.h
            google/protobuf-c/protobuf-c-dispatch.h
            google/protobuf-c/protobuf-c-rpc.h)
    endif()
    install(FILES ${PROTOBUF_C_PUBLIC_HEADERS} DESTINATION
        ${PROTOBUF_C_INSTALL_INCLUDEDIR})
endif()

add_subdirectory(test)

=== src/test/CMakeLists.txt ===
if ( BUILD_PROTOBUF_C_COMPILER AND BUILD_PROTOBUF_C_STATIC_LIB )
    function(BUILD_C_TEST target_name proto_name)
        set(TMP_OUTPUT_DIR ${CMAKE_BINARY_DIR}/${target_name}/generated-code)
        file(MAKE_DIRECTORY ${TMP_OUTPUT_DIR})

        set(GENERATED_SOURCES ${TMP_OUTPUT_DIR}/${proto_name}.pb-c.h
            ${TMP_OUTPUT_DIR}/${proto_name}.pb-c.c)
        add_executable(${target_name} ${target_name}.c ${GENERATED_SOURCES}
            ${ARGN})
        set_target_properties(${target_name} PROPERTIES COMPILE_FLAGS
            "-I${CMAKE_BINARY_DIR}/${target_name}")
        target_link_libraries(${target_name} protobuf-c-static)

        add_custom_command(OUTPUT ${GENERATED_SOURCES}
            COMMAND protoc-c -I${CMAKE_CURRENT_SOURCE_DIR}
            --c_out=${TMP_OUTPUT_DIR}
            ${CMAKE_CURRENT_SOURCE_DIR}/${proto_name}.proto
            DEPENDS protoc-c ${CMAKE_CURRENT_SOURCE_DIR}/${proto_name}.proto
            COMMENT "Running C protocol buffer compiler on ${proto_name}"
            VERBATIM)
    endfunction()

    function(BUILD_CPP_TEST target_name proto_name)
        set(TMP_OUTPUT_DIR ${CMAKE_BINARY_DIR}/${target_name}/generated-code)
        file(MAKE_DIRECTORY ${TMP_OUTPUT_DIR})

        set(GENERATED_SOURCES ${TMP_OUTPUT_DIR}/${proto_name}.pb.h
            ${TMP_OUTPUT_DIR}/${proto_name}.pb.cc)
        add_executable(${target_name} ${target_name}.cc ${GENERATED_SOURCES}
            ${ARGN})
        set_target_properties(${target_name} PROPERTIES COMPILE_FLAGS
            "-I${CMAKE_BINARY_DIR}/${target_name} -I${PROTOBUF_INCLUDE_DIRS}")
        target_link_libraries(${target_name} ${PROTOBUF_LIBRARIES})
        if ( UNIX )
            find_package(Threads REQUIRED)
            target_link_libraries(${target_name} ${CMAKE_THREAD_LIBS_INIT})
        endif()

        add_custom_command(OUTPUT ${GENERATED_SOURCES}
            COMMAND ${PROTOBUF_PROTOC_EXECUTABLE} -I${CMAKE_CURRENT_SOURCE_DIR}
            --cpp_out=${TMP_OUTPUT_DIR}
            ${CMAKE_CURRENT_SOURCE_DIR}/${proto_name}.proto
            DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${proto_name}.proto
            COMMENT "Running C++ protocol buffer compiler on ${proto_name}"
            VERBATIM)
    endfunction()

    build_cpp_test(cxx-generate-packed-data test-full)
    set(TMP_OUTPUT_DIR ${CMAKE_BINARY_DIR}/cxx-generate-packed-data)
    file(MAKE_DIRECTORY ${TMP_OUTPUT_DIR}/generated-code)
    set(GENERATED_INC_FILE ${TMP_OUTPUT_DIR}/generated-code/test-full-cxx-output.inc)
    add_custom_command(OUTPUT ${GENERATED_INC_FILE}
        COMMAND cxx-generate-packed-data > ${GENERATED_INC_FILE}
        DEPENDS cxx-generate-packed-data)
    build_c_test(test-generated-code2 test-full ${GENERATED_INC_FILE})
    get_target_property(EXTRA_COMPILE_FLAGS test-generated-code2
        COMPILE_FLAGS)
    set(EXTRA_COMPILE_FLAGS "${EXTRA_COMPILE_FLAGS} -I${TMP_OUTPUT_DIR}")
    set_target_properties(test-generated-code2 PROPERTIES COMPILE_FLAGS
        ${EXTRA_COMPILE_FLAGS})
    add_test(NAME test-generated-code2 COMMAND test-generated-code2) 

    build_c_test(test-generated-code test)
    add_test(NAME test-generated-code COMMAND test-generated-code)

    if ( UNIX )
        build_c_test(test-rpc test)
        build_c_test(example-client test)
        build_c_test(example-server test)
        add_test(NAME test-rpc COMMAND test-rpc)
    endif()
endif()

## protobuf-c 0.12

=== debian/changelog ===
protobuf-c (0.12-3build1) maverick; urgency=low

  * No changes upload for libprotobuf5 -> libprotobuf6 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 16 Sep 2010 22:19:30 +0200

protobuf-c (0.12-3) unstable; urgency=low

  * libprotobuf-c0.symbols: Increase minimum required version for buggy
    functions fixed in 0.12-2.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 12 Feb 2010 16:42:58 -0500

protobuf-c (0.12-2) unstable; urgency=low

  * Convert source package to 3.0 (quilt) format.
  * Cherry pick upstream bug fix (issue #35) for
    protobuf_c_enum_descriptor_get_value_by_name(),
    protobuf_c_service_descriptor_get_method_by_name() functions.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 09 Feb 2010 19:54:28 -0500

protobuf-c (0.12-1) unstable; urgency=low

  * New upstream release.
  * Drop patches included upstream: 10_ftbfs_big_endian, 30_wire_format_fix.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 24 Jan 2010 15:20:18 -0500

protobuf-c (0.11-4) unstable; urgency=low

  * Add versioned build dependency on libprotobuf-dev.
  * libprotobuf-dev header renamed: wire_format_inl.h -> wire_format.h.
  * Closes: #559960.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 07 Dec 2009 16:42:12 -0800

protobuf-c (0.11-3) unstable; urgency=low

  * Second attempt at fixing FTBFS on big endian platforms; closes: #544755.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 11 Nov 2009 12:07:02 -0500

protobuf-c (0.11-2) unstable; urgency=low

  * Fix FTBFS on big endian platforms; closes: #544755.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 10 Nov 2009 22:02:38 -0500

protobuf-c (0.11-1) unstable; urgency=low

  * New upstream release; closes: #529004.
  * Add build dependency on libprotoc-dev; closes: #540970.
  * Drop .la file from libprotobuf-c0-dev.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 23 Aug 2009 13:59:24 -0400

protobuf-c (0.10-2) unstable; urgency=low

  * Add dependency on libprotobuf-c0 for package libprotobuf-c0-dev;
    closes: #529042.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 17 May 2009 15:22:48 -0400

protobuf-c (0.10-1) unstable; urgency=low

  * Initial release; closes: #528147.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 10 May 2009 23:34:05 -0400

=== debian/control ===
Source: protobuf-c
Section: devel
Priority: optional
Maintainer: Robert S. Edmonds <edmonds@debian.org>
Build-Depends: debhelper (>= 7), autoconf, autotools-dev, automake, libtool,
 libprotobuf-dev (>= 2.2.0a-0.1~), libprotoc-dev, protobuf-compiler,
 zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://protobuf-c.googlecode.com/

Package: protobuf-c-compiler
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: protocol buffers C compiler
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data – think XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then
 you can use special generated source code to easily write and read your
 structured data to and from a variety of data streams and using a variety
 of languages. You can even update your data structure without breaking
 deployed programs that are compiled against the "old" format.
 .
 This is the C implementation of protocol buffers.
 .
 This package contains a compiler that generates C stubs from protocol
 buffer schemas. These stubs must be compiled and linked against
 libprotobuf-c.

Package: libprotobuf-c0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Protocol Buffers C library
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data – think XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then
 you can use special generated source code to easily write and read your
 structured data to and from a variety of data streams and using a variety
 of languages. You can even update your data structure without breaking
 deployed programs that are compiled against the "old" format.
 .
 This is the C implementation of protocol buffers.
 .
 This package contains the shared library.

Package: libprotobuf-c0-dev
Architecture: any
Section: libdevel
Depends: libprotobuf-c0 (= ${binary:Version}), ${misc:Depends}
Description: Protocol Buffers C static library and headers
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data – think XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then
 you can use special generated source code to easily write and read your
 structured data to and from a variety of data streams and using a variety
 of languages. You can even update your data structure without breaking
 deployed programs that are compiled against the "old" format.
 .
 This is the C implementation of protocol buffers.
 .
 This package contains the static library and development headers.

## protobuf-c 0.14

=== debian/changelog ===
protobuf-c (0.14-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 07 Sep 2010 17:00:07 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7), autoconf, autotools-dev, automake, libtool,
  libprotobuf-dev (>= 2.2.0a-0.1~), libprotoc-dev, protobuf-compiler,
  zlib1g-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://protobuf-c.googlecode.com/
 
 Package: protobuf-c-compiler

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
%:
	dh $@

build: build-stamp
build-stamp:
	dh build --before configure
	autoreconf -fvi
	dh build --remaining
	touch $@

clean:
	dh clean 

install: build
	dh install

binary-arch: install
	dh binary-arch

binary: binary-arch

## protobuf-c 0.15

=== debian/changelog ===
protobuf-c (0.15-1build1) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2014 12:40:47 +0000

protobuf-c (0.15-1) unstable; urgency=low

  [ tony mancill ]
  * New upstream release. (Closes: #622915)
    - add new versioned symbol for protobuf_c_message_init@Base
  * Bump Standards-Version to 3.9.5 (no changes).
  * Depend on debhelper 9; bump debian/compat.
  * Update .install files for multi-arch installation directories.

  [ Robert S. Edmonds ]
  * protobuf-c-compiler: add a Recommends on the -dev package;
    closes: #704877.
  * A side-effect of bumping the debhelper compat level to 9 is to enable
    hardened build flags; closes: #673674.
  * Use dh-autoreconf.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 15 Nov 2013 18:53:07 -0500

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Robert S. Edmonds <edmonds@debian.org>
-Build-Depends: debhelper (>= 7), autoconf, autotools-dev, automake, libtool,
- libprotobuf-dev (>= 2.2.0a-0.1~), libprotoc-dev, protobuf-compiler,
+Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf, autotools-dev,
+ automake, libtool, libprotobuf-dev, libprotoc-dev, protobuf-compiler,
  zlib1g-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.5
 Homepage: http://protobuf-c.googlecode.com/
 
 Package: protobuf-c-compiler
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libprotobuf-c0-dev
 Description: protocol buffers C compiler
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data – think XML, but smaller, faster, and

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
%:
	dh $@ --with autoreconf

## protobuf-c 1.0.1

=== debian/changelog ===
protobuf-c (1.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Explicitly set the .data field of ProtobufCBinaryData's to NULL when
      unpacking a zero length byte string. (Closes: #756983).

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 05 Aug 2014 15:07:20 -0400

protobuf-c (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * protobuf-c-compiler: upgrade the Recommends on libprotobuf-c-dev to a
    Depends. This prevents use of older libprotobuf-c0-dev with newer
    protobuf-c-compiler.
  * libprotobuf-c-dev: declare a Breaks on older protobuf-c-compiler. This
    prevents use of older protobuf-c-compiler with newer libprotobuf-c-dev.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 25 Jul 2014 14:00:36 -0400

protobuf-c (1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Bump ABI version from 0 to 1.
  * Ship the pkg-config .pc file in the -dev package. (Closes: #731726)

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 05 Apr 2014 16:29:14 -0400

## protobuf-c 1.0.2

=== debian/changelog ===
protobuf-c (1.0.2-1build2) wily; urgency=medium

  * No-change rebuild against libprotobuf9v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 18:47:54 +0000

protobuf-c (1.0.2-1build1) vivid; urgency=medium

  * Rebuild against libprotobuf9.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Dec 2014 11:08:21 +0000

protobuf-c (1.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS with protobuf 2.6.0.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 12 Sep 2014 16:37:43 -0400

=== debian/control ===
Source: protobuf-c
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert S. Edmonds <edmonds@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 autoconf,
 automake,
 autotools-dev,
 libtool,
 pkg-config,
 libprotobuf-dev,
 libprotoc-dev,
 protobuf-compiler
Standards-Version: 3.9.5
Homepage: https://github.com/protobuf-c/protobuf-c
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/edmonds/protobuf-c.git
Vcs-Git: git://anonscm.debian.org/users/edmonds/protobuf-c.git

Package: protobuf-c-compiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libprotobuf-c-dev (= ${binary:Version})
Description: Protocol Buffers C compiler (protobuf-c)
 Protocol Buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 This is the "protobuf-c" implementation of Protocol Buffers in C.
 .
 This package contains the "protoc-c" code generator that creates C stubs from
 Protocol Buffers .proto files. These stubs must be compiled and linked against
 the libprotobuf-c support library.

Package: libprotobuf-c1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Protocol Buffers C shared library (protobuf-c)
 Protocol Buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 This is the "protobuf-c" implementation of Protocol Buffers in C.
 .
 This package contains the shared library.

Package: libprotobuf-c1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libprotobuf-c1 (= ${binary:Version}), ${misc:Depends}
Description: Protocol Buffers C shared library debug symbols (protobuf-c)
 Protocol Buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 This is the "protobuf-c" implementation of Protocol Buffers in C.
 .
 This package contains detached debugging symbols for the shared library.

Package: libprotobuf-c-dev
Architecture: any
Section: libdevel
Depends: libprotobuf-c1 (= ${binary:Version}), ${misc:Depends}
Provides: libprotobuf-c0-dev
Conflicts: libprotobuf-c0-dev
Replaces: libprotobuf-c0-dev
Breaks: protobuf-c-compiler (<< 1.0.0~)
Description: Protocol Buffers C static library and headers (protobuf-c)
 Protocol Buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 This is the "protobuf-c" implementation of Protocol Buffers in C.
 .
 This package contains the static library and development headers.

## protobuf-c 1.2.1

=== build-cmake/CMakeLists.txt ===
SET(PACKAGE protobuf-c)
SET(PACKAGE_NAME protobuf-c)
SET(PACKAGE_VERSION 1.2.1)


CMAKE_MINIMUM_REQUIRED(VERSION 2.8 FATAL_ERROR)

PROJECT(protobuf-c)

INCLUDE(TestBigEndian)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

SET(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
ADD_DEFINITIONS(-DPACKAGE_VERSION="${PACKAGE_VERSION}")
ADD_DEFINITIONS(-DPACKAGE_STRING="${PACKAGE_STRING}")
ADD_DEFINITIONS(-DWORDS_BIGENDIAN=${WORDS_BIGENDIAN})

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
  # using Visual Studio C++
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4267 /wd4244")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4267 /wd4244")
ENDIF()

get_filename_component(MAIN_DIR ${CMAKE_SOURCE_DIR} PATH)
SET(TEST_DIR ${MAIN_DIR}/t)

MESSAGE(${MAIN_DIR})

SET (PC_SOURCES
        ${MAIN_DIR}/protobuf-c/protobuf-c.c
        ${MAIN_DIR}/protobuf-c/protobuf-c.h)

ADD_LIBRARY(protobuf-c ${PC_SOURCES})

INCLUDE_DIRECTORIES(${MAIN_DIR})
INCLUDE_DIRECTORIES(${MAIN_DIR}/protobuf-c)
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}) # for generated files

FIND_PACKAGE(Protobuf REQUIRED)
INCLUDE_DIRECTORIES(${PROTOBUF_INCLUDE_DIR})

file(GLOB PROTOC_SRC ${MAIN_DIR}/protoc-c/*.h ${MAIN_DIR}/protoc-c/*.cc )
ADD_EXECUTABLE(protoc-c ${PROTOC_SRC})

TARGET_LINK_LIBRARIES(protoc-c ${PROTOBUF_PROTOC_LIBRARY} ${PROTOBUF_LIBRARY})

IF(CMAKE_BUILD_TYPE MATCHES Debug)
ENABLE_TESTING()
ADD_CUSTOM_COMMAND(OUTPUT t/test.pb-c.c t/test.pb-c.h
                   COMMAND protoc-c -I${MAIN_DIR} ${TEST_DIR}/test.proto --c_out=${CMAKE_BINARY_DIR}
                   DEPENDS protoc-c
                   )


ADD_EXECUTABLE(test-generated-code ${TEST_DIR}/generated-code/test-generated-code.c t/test.pb-c.c t/test.pb-c.h )
TARGET_LINK_LIBRARIES(test-generated-code protobuf-c)


ADD_CUSTOM_COMMAND(OUTPUT t/test-full.pb.cc t/test-full.pb.h
                   COMMAND ${PROTOBUF_PROTOC_EXECUTABLE}
		   ARGS --cpp_out ${CMAKE_BINARY_DIR} -I${MAIN_DIR} ${TEST_DIR}/test-full.proto)

ADD_CUSTOM_COMMAND(OUTPUT t/test-full.pb-c.c t/test-full.pb-c.h
                   COMMAND protoc-c -I${MAIN_DIR} ${TEST_DIR}/test-full.proto --c_out=${CMAKE_BINARY_DIR}
                   DEPENDS protoc-c
                   )

ADD_EXECUTABLE(cxx-generate-packed-data ${TEST_DIR}/generated-code2/cxx-generate-packed-data.cc t/test-full.pb.h t/test-full.pb.cc)
TARGET_LINK_LIBRARIES(cxx-generate-packed-data ${PROTOBUF_LIBRARY})

FILE(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/t/generated-code2)
ADD_CUSTOM_COMMAND(OUTPUT t/generated-code2/test-full-cxx-output.inc
                   COMMAND ${CMAKE_BINARY_DIR}/cxx-generate-packed-data ">t/generated-code2/test-full-cxx-output.inc"
                   DEPENDS cxx-generate-packed-data
                   )

ADD_EXECUTABLE(test-generated-code2 ${TEST_DIR}/generated-code2/test-generated-code2.c t/generated-code2/test-full-cxx-output.inc t/test-full.pb-c.h t/test-full.pb-c.c)
TARGET_LINK_LIBRARIES(test-generated-code2  protobuf-c)

ADD_EXECUTABLE(test-version ${TEST_DIR}/version/version.c)
TARGET_LINK_LIBRARIES(test-version protobuf-c)


ENDIF()


INSTALL(TARGETS protoc-c protobuf-c RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
INSTALL(FILES ${MAIN_DIR}/protobuf-c/protobuf-c.h DESTINATION include/protobuf-c)
INSTALL(FILES ${MAIN_DIR}/protobuf-c/protobuf-c.h DESTINATION include)
INCLUDE(Dart)

SET(DART_TESTING_TIMEOUT 5)
ADD_TEST(test-generated-code test-generated-code)
ADD_TEST(test-generated-code2 test-generated-code2)
ADD_TEST(test-version test-version)


INCLUDE(CPack)

=== debian/changelog ===
protobuf-c (1.2.1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0
  * Imported Upstream version 1.2.1
  * debian/gbp.conf: Remove [dch] id-length
  * debian/copyright: 2016

 -- Robert Edmonds <edmonds@debian.org>  Tue, 02 Feb 2016 17:41:52 -0500

protobuf-c (1.1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1.1
    - (Closes: #801950.)
  * debian/control: Update Maintainer
  * debian/control: Update Standards-Version to 3.9.6 (no changes)
  * debian/: Run "wrap-and-sort -sbt"
  * debian/control: Add versioned build dependency on protobuf 2.6.0
  * debian/gbp.conf: Add [dch] section
  * debian/copyright: 2015

 -- Robert Edmonds <edmonds@debian.org>  Sat, 24 Oct 2015 16:27:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: protobuf-c
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert S. Edmonds <edmonds@debian.org>
+Maintainer: Robert Edmonds <edmonds@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
  autoconf,
  automake,
  autotools-dev,
+ debhelper (>= 9),
+ dh-autoreconf,
+ libprotobuf-dev (>= 2.6.0~),
+ libprotoc-dev (>= 2.6.0~),
  libtool,
  pkg-config,
- libprotobuf-dev,
- libprotoc-dev,
- protobuf-compiler
-Standards-Version: 3.9.5
+ protobuf-compiler (>= 2.6.0~),
+Standards-Version: 3.9.6
 Homepage: https://github.com/protobuf-c/protobuf-c
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/edmonds/protobuf-c.git
 Vcs-Git: git://anonscm.debian.org/users/edmonds/protobuf-c.git
 
-Package: protobuf-c-compiler
+Package: libprotobuf-c-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libprotobuf-c-dev (= ${binary:Version})
-Description: Protocol Buffers C compiler (protobuf-c)
+Section: libdevel
+Depends: libprotobuf-c1 (= ${binary:Version}), ${misc:Depends}
+Provides: libprotobuf-c0-dev
+Conflicts: libprotobuf-c0-dev
+Replaces: libprotobuf-c0-dev
+Breaks: protobuf-c-compiler (<< 1.0.0~)
+Description: Protocol Buffers C static library and headers (protobuf-c)
  Protocol Buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
  simpler. You define how you want your data to be structured once, then you can
@@ -33,14 +37,12 @@
  .
  This is the "protobuf-c" implementation of Protocol Buffers in C.
  .
- This package contains the "protoc-c" code generator that creates C stubs from
- Protocol Buffers .proto files. These stubs must be compiled and linked against
- the libprotobuf-c support library.
+ This package contains the static library and development headers.
 
 Package: libprotobuf-c1
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Protocol Buffers C shared library (protobuf-c)
  Protocol Buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -72,15 +74,13 @@
  .
  This package contains detached debugging symbols for the shared library.
 
-Package: libprotobuf-c-dev
+Package: protobuf-c-compiler
 Architecture: any
-Section: libdevel
-Depends: libprotobuf-c1 (= ${binary:Version}), ${misc:Depends}
-Provides: libprotobuf-c0-dev
-Conflicts: libprotobuf-c0-dev
-Replaces: libprotobuf-c0-dev
-Breaks: protobuf-c-compiler (<< 1.0.0~)
-Description: Protocol Buffers C static library and headers (protobuf-c)
+Depends:
+ libprotobuf-c-dev (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Protocol Buffers C compiler (protobuf-c)
  Protocol Buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
  simpler. You define how you want your data to be structured once, then you can
@@ -91,4 +91,6 @@
  .
  This is the "protobuf-c" implementation of Protocol Buffers in C.
  .
- This package contains the static library and development headers.
+ This package contains the "protoc-c" code generator that creates C stubs from
+ Protocol Buffers .proto files. These stubs must be compiled and linked against
+ the libprotobuf-c support library.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
%:
	dh $@ --with autoreconf

override_dh_strip:
	dh_strip -p libprotobuf-c1 --dbg-package=libprotobuf-c1-dbg
	dh_strip -a --remaining-packages

## protobuf-c 1.3.1

=== debian/changelog ===
protobuf-c (1.3.1-1build1) disco; urgency=medium

  * No-change rebuild against latest protobuf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 15:33:20 -0500

protobuf-c (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * New upstream version 1.3.1
    - (Closes: #900621.)
  * debian/control: Update Vcs-* links to use salsa.debian.org URLs
  * debian/copyright: Format: http -> https
  * debian/copyright: Add 2017, 2018 to copyright years
  * debian/control: Bump debhelper build-dependency to >= 10
  * debian/compat: Bump debhelper compat level to 10
  * debian/rules: Drop -dbg package in favor of automatically generated
    -dbgsym package
  * debian/control: Remove libprotobuf-c1-dbg package
  * debian/control: Drop build-dependencies that are transitively pulled
    in by depending on debhelper (>= 10)
  * debian/rules: Remove hardcoding of DH_VERBOSE=1 environment variable
  * debian/control: Bump Standards-Version to 4.2.0
  * debian/rules: Remove "--with autoreconf" from invocation of dh,
    default since debhelper compat 10
  * debian/rules: Enable build hardening
  * debian/libprotobuf-c1.symbols: Update symbols for 1.3.1
  * debian/control: Drop Provides/Conflicts/Replaces on
    libprotobuf-c0-dev, which is only present in oldoldstable (wheezy)

 -- Robert Edmonds <edmonds@debian.org>  Wed, 15 Aug 2018 01:37:03 -0400

protobuf-c (1.2.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark libprotobuf-c* Multi-Arch: same.
  * Drop the protobuf-c-compiler -> libprotobuf-c-dev dependency.
  * Mark protobuf-c-compiler Multi-Arch: foreign (Closes: #845518).

 -- Robert Edmonds <edmonds@debian.org>  Sat, 26 Nov 2016 16:50:30 -0500

## protobuf-c 1.3.1.1

=== build-cmake/CMakeLists.txt ===
SET(PACKAGE protobuf-c)
SET(PACKAGE_NAME protobuf-c)
SET(PACKAGE_VERSION 1.3.1)


CMAKE_MINIMUM_REQUIRED(VERSION 2.8 FATAL_ERROR)

PROJECT(protobuf-c)

#options
option(MSVC_STATIC_BUILD "MSVC_STATIC_BUILD" OFF)
option(BUILD_PROTO3 "BUILD_PROTO3" ON)

INCLUDE(TestBigEndian)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

SET(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
ADD_DEFINITIONS(-DPACKAGE_VERSION="${PACKAGE_VERSION}")
ADD_DEFINITIONS(-DPACKAGE_STRING="${PACKAGE_STRING}")
ADD_DEFINITIONS(-DWORDS_BIGENDIAN=${WORDS_BIGENDIAN})

if(MSVC)
  # using Visual Studio C++
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4267 /wd4244")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4267 /wd4244")
ENDIF()

get_filename_component(MAIN_DIR ${CMAKE_CURRENT_SOURCE_DIR} PATH)
SET(TEST_DIR ${MAIN_DIR}/t)

MESSAGE(${MAIN_DIR})

SET (PC_SOURCES
        ${MAIN_DIR}/protobuf-c/protobuf-c.c
        ${MAIN_DIR}/protobuf-c/protobuf-c.h)

ADD_LIBRARY(protobuf-c ${PC_SOURCES})

INCLUDE_DIRECTORIES(${MAIN_DIR})
INCLUDE_DIRECTORIES(${MAIN_DIR}/protobuf-c)
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}) # for generated files

FIND_PACKAGE(Protobuf REQUIRED)
INCLUDE_DIRECTORIES(${PROTOBUF_INCLUDE_DIR})

if (BUILD_PROTO3)
	ADD_DEFINITIONS(-DHAVE_PROTO3)
endif()

if (MSVC AND MSVC_STATIC_BUILD)
	# In case we are building static libraries, link also the runtime library statically
	# so that MSVCR*.DLL is not required at runtime.
	# https://msdn.microsoft.com/en-us/library/2kzt1wy3.aspx
	# This is achieved by replacing msvc option /MD with /MT and /MDd with /MTd
	# http://www.cmake.org/Wiki/CMake_FAQ#How_can_I_build_my_MSVC_application_with_a_static_runtime.3F
	foreach(flag_var
		CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
		CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
	  if(${flag_var} MATCHES "/MD")
		string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
	  endif(${flag_var} MATCHES "/MD")
	endforeach(flag_var)
endif (MSVC AND MSVC_STATIC_BUILD)
FILE(GLOB PROTOC_GEN_C_SRC ${MAIN_DIR}/protoc-c/*.h ${MAIN_DIR}/protoc-c/*.cc )
ADD_EXECUTABLE(protoc-gen-c ${PROTOC_GEN_C_SRC})

TARGET_LINK_LIBRARIES(protoc-gen-c ${PROTOBUF_PROTOC_LIBRARY} ${PROTOBUF_LIBRARY})

IF(CMAKE_HOST_UNIX)
ADD_CUSTOM_COMMAND(TARGET ${PROJECT_NAME} POST_BUILD
                   COMMAND ln -sf protoc-gen-c protoc-c
                   DEPENDS protoc-gen-c)
ENDIF()

FUNCTION(GENERATE_TEST_SOURCES PROTO_FILE SRC HDR)
	ADD_CUSTOM_COMMAND(OUTPUT ${SRC} ${HDR}
                   COMMAND ${PROTOBUF_PROTOC_EXECUTABLE}
                   ARGS --plugin=$<TARGET_FILE:protoc-gen-c> -I${MAIN_DIR} ${PROTO_FILE} --c_out=${CMAKE_BINARY_DIR}
                   DEPENDS protoc-gen-c)
ENDFUNCTION()


IF(CMAKE_BUILD_TYPE MATCHES Debug)
ENABLE_TESTING()

GENERATE_TEST_SOURCES(${TEST_DIR}/test.proto t/test.pb-c.c t/test.pb-c.h)

ADD_EXECUTABLE(test-generated-code ${TEST_DIR}/generated-code/test-generated-code.c t/test.pb-c.c t/test.pb-c.h )
TARGET_LINK_LIBRARIES(test-generated-code protobuf-c)


ADD_CUSTOM_COMMAND(OUTPUT t/test-full.pb.cc t/test-full.pb.h
                   COMMAND ${PROTOBUF_PROTOC_EXECUTABLE}
                   ARGS --cpp_out ${CMAKE_BINARY_DIR} -I${MAIN_DIR} ${TEST_DIR}/test-full.proto)

GENERATE_TEST_SOURCES(${TEST_DIR}/test-full.proto t/test-full.pb-c.c t/test-full.pb-c.h)

ADD_EXECUTABLE(cxx-generate-packed-data ${TEST_DIR}/generated-code2/cxx-generate-packed-data.cc t/test-full.pb.h t/test-full.pb.cc)
TARGET_LINK_LIBRARIES(cxx-generate-packed-data ${PROTOBUF_LIBRARY})

FILE(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/t/generated-code2)
ADD_CUSTOM_COMMAND(OUTPUT t/generated-code2/test-full-cxx-output.inc
                   COMMAND ${CMAKE_BINARY_DIR}/cxx-generate-packed-data ">t/generated-code2/test-full-cxx-output.inc"
                   DEPENDS cxx-generate-packed-data
                   )

GENERATE_TEST_SOURCES(${TEST_DIR}/test-optimized.proto t/test-optimized.pb-c.c t/test-optimized.pb-c.h)

ADD_EXECUTABLE(test-generated-code2 ${TEST_DIR}/generated-code2/test-generated-code2.c t/generated-code2/test-full-cxx-output.inc t/test-full.pb-c.h t/test-full.pb-c.c t/test-optimized.pb-c.h t/test-optimized.pb-c.c)
TARGET_LINK_LIBRARIES(test-generated-code2 protobuf-c)



GENERATE_TEST_SOURCES(${TEST_DIR}/issue220/issue220.proto t/issue220/issue220.pb-c.c t/issue220/issue220.pb-c.h)
ADD_EXECUTABLE(test-issue220 ${TEST_DIR}/issue220/issue220.c t/issue220/issue220.pb-c.c t/issue220/issue220.pb-c.h)
TARGET_LINK_LIBRARIES(test-issue220 protobuf-c)

GENERATE_TEST_SOURCES(${TEST_DIR}/issue251/issue251.proto t/issue251/issue251.pb-c.c t/issue251/issue251.pb-c.h)
ADD_EXECUTABLE(test-issue251 ${TEST_DIR}/issue251/issue251.c t/issue251/issue251.pb-c.c t/issue251/issue251.pb-c.h)
TARGET_LINK_LIBRARIES(test-issue251 protobuf-c)

ADD_EXECUTABLE(test-version ${TEST_DIR}/version/version.c)
TARGET_LINK_LIBRARIES(test-version protobuf-c)

GENERATE_TEST_SOURCES(${TEST_DIR}/test-proto3.proto t/test-proto3.pb-c.c t/test-proto3.pb-c.h)
ADD_EXECUTABLE(test-generated-code3 ${TEST_DIR}/generated-code/test-generated-code.c t/test-proto3.pb-c.c t/test-proto3.pb-c.h)
TARGET_COMPILE_DEFINITIONS(test-generated-code3 PUBLIC -DPROTO3)
TARGET_LINK_LIBRARIES(test-generated-code3 protobuf-c)

ENDIF()

INSTALL(TARGETS protoc-gen-c protobuf-c RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
INSTALL(FILES ${MAIN_DIR}/protobuf-c/protobuf-c.h DESTINATION include/protobuf-c)
INSTALL(FILES ${MAIN_DIR}/protobuf-c/protobuf-c.h DESTINATION include)

IF(CMAKE_HOST_UNIX)
INSTALL(CODE "EXECUTE_PROCESS (COMMAND ln -sf protoc-gen-c protoc-c WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX}/bin)")
ENDIF()

INCLUDE(Dart)

SET(DART_TESTING_TIMEOUT 5)
ADD_TEST(test-generated-code test-generated-code)
ADD_TEST(test-generated-code2 test-generated-code2)
ADD_TEST(test-generated-code3 test-generated-code3)
ADD_TEST(test-issue220 test-issue220)
ADD_TEST(test-issue251 test-issue251)
ADD_TEST(test-version test-version)


INCLUDE(CPack)

=== debian/changelog ===
protobuf-c (1.3.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 9e6ef363c40f18ce2002e0cd7fc2558080421679']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:55:09 +0000

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,22 @@
 Priority: optional
 Maintainer: Robert Edmonds <edmonds@debian.org>
 Build-Depends:
- autoconf,
- automake,
- autotools-dev,
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  libprotobuf-dev (>= 2.6.0~),
  libprotoc-dev (>= 2.6.0~),
- libtool,
  pkg-config,
  protobuf-compiler (>= 2.6.0~),
-Standards-Version: 3.9.6
+Standards-Version: 4.2.0
 Homepage: https://github.com/protobuf-c/protobuf-c
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/edmonds/protobuf-c.git
-Vcs-Git: git://anonscm.debian.org/users/edmonds/protobuf-c.git
+Vcs-Browser: https://salsa.debian.org/edmonds/protobuf-c
+Vcs-Git: https://salsa.debian.org/edmonds/protobuf-c.git
 
 Package: libprotobuf-c-dev
 Architecture: any
 Section: libdevel
 Depends: libprotobuf-c1 (= ${binary:Version}), ${misc:Depends}
-Provides: libprotobuf-c0-dev
-Conflicts: libprotobuf-c0-dev
-Replaces: libprotobuf-c0-dev
 Breaks: protobuf-c-compiler (<< 1.0.0~)
+Multi-Arch: same
 Description: Protocol Buffers C static library and headers (protobuf-c)
  Protocol Buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -43,6 +36,7 @@
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Protocol Buffers C shared library (protobuf-c)
  Protocol Buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -56,30 +50,12 @@
  .
  This package contains the shared library.
 
-Package: libprotobuf-c1-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: libprotobuf-c1 (= ${binary:Version}), ${misc:Depends}
-Description: Protocol Buffers C shared library debug symbols (protobuf-c)
- Protocol Buffers are a flexible, efficient, automated mechanism for
- serializing structured data - similar to XML, but smaller, faster, and
- simpler. You define how you want your data to be structured once, then you can
- use special generated source code to easily write and read your structured
- data to and from a variety of data streams and using a variety of languages.
- You can even update your data structure without breaking deployed programs
- that are compiled against the "old" format.
- .
- This is the "protobuf-c" implementation of Protocol Buffers in C.
- .
- This package contains detached debugging symbols for the shared library.
-
 Package: protobuf-c-compiler
 Architecture: any
 Depends:
- libprotobuf-c-dev (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
+Multi-Arch: foreign
 Description: Protocol Buffers C compiler (protobuf-c)
  Protocol Buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and

## protobuf-c 1.3.2

=== debian/changelog ===
protobuf-c (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * debian/copyright: Add 2019 to copyright years
  * debian/control: Bump Standards-Version to 4.4.0 (no changes)

 -- Robert Edmonds <edmonds@debian.org>  Mon, 26 Aug 2019 00:10:37 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libprotoc-dev (>= 2.6.0~),
  pkg-config,
  protobuf-compiler (>= 2.6.0~),
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/protobuf-c/protobuf-c
 Vcs-Browser: https://salsa.debian.org/edmonds/protobuf-c
 Vcs-Git: https://salsa.debian.org/edmonds/protobuf-c.git

## protobuf-c 1.3.3

=== debian/changelog ===
protobuf-c (1.3.3-1ubuntu2) jammy; urgency=medium

  * Add another 'build-test' autopkgtest to verify usability of the actually
    installed libprotobuf-c library

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 04 Feb 2022 15:28:50 +0100

protobuf-c (1.3.3-1ubuntu1) jammy; urgency=medium

  * Add d/watch and run the self tests as autopkgtest

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 04 Feb 2022 12:33:06 +0100

protobuf-c (1.3.3-1build2) groovy; urgency=medium

  * Rebuild against new libprotobuf23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 10:21:46 +0200

protobuf-c (1.3.3-1build1) groovy; urgency=medium

  * No-change rebuild against libprotoc22

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 May 2020 21:26:15 +0000

protobuf-c (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
  * debian/control: Bump Standards-Version to 4.5.0 (no changes)
  * debian/control: Bump debhelper compat level to 12
  * debian/libprotobuf-c1.symbols: Add "* Build-Depends-Package:
    libprotobuf-c-dev"

 -- Robert Edmonds <edmonds@debian.org>  Thu, 13 Feb 2020 20:22:35 -0500

## protobuf-c 1.4.1

=== debian/changelog ===
protobuf-c (1.4.1-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:16:39 +0000

protobuf-c (1.4.1-1ubuntu3) noble; urgency=high

  * No change rebuild against libprotobuf32t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 14:20:26 +0100

protobuf-c (1.4.1-1ubuntu2) lunar; urgency=medium

  * Rebuild against new libprotobuf32.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jan 2023 17:47:24 +0100

protobuf-c (1.4.1-1ubuntu1) kinetic; urgency=medium

  * Merged from Debian unstable.  Remaining changes: (LP 1956617)
    + d/tests/{control,build-test}: Run self-test and 'build-test' autopkgtest
    + d/watch: Adding watch file

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 12 Jul 2022 17:14:35 +0200

protobuf-c (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1

 -- Robert Edmonds <edmonds@debian.org>  Sun, 10 Jul 2022 21:55:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: protobuf-c
 Section: devel
 Priority: optional
-Maintainer: Robert Edmonds <edmonds@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Edmonds <edmonds@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libprotobuf-dev (>= 2.6.0~),
  libprotoc-dev (>= 2.6.0~),
  pkg-config,
  protobuf-compiler (>= 2.6.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/protobuf-c/protobuf-c
 Vcs-Browser: https://salsa.debian.org/edmonds/protobuf-c
 Vcs-Git: https://salsa.debian.org/edmonds/protobuf-c.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/protobuf-c/protobuf-c/tags .*/v?(\d\S+)\.tar\.gz
